/* ---------------------------------------------------------------------
My-Account; _M.css
Creation Date: 09/09/19
Copyright 3M Company. All Rights Reserved.
------------------------------------------------------------------------ */
/* General CSS */

table, .MMMAzure--table,  .MMMAzure--tableMobileOnly{
    display: table;
    width: 100%;
    font-family: '3MCircular';
    font-size: 14px;
    color: #4B4B4B;
    border-collapse: collapse;
    margin-top: 10px;
}

.MMMAzure--hidden {
    display: none !important;
}

.MMMAzure--tableTabletOnly {
    display: none;
}
.MMMAzure--tableMobileOnly {
    border: 1px solid #AEAEAE;
    padding: 10px;
}

.MMMAzure--tr-tablet {
    display: none;
}
th, .MMMAzure--th {
    font-weight: bold;
    font-size: 14px;
    color: #4B4B4B;
    padding: 15px 24px 0px 24px;
    text-align-last: left;
}
td, .MMMAzure--td {
    padding: 10px 25px 15px 25px;
}

.MMMAzure--tr, .MMMAzure--tr-mobile {
    display: table-row;
}

.MMMAzure--desktopOnly {
    display: none;
}

.MMMAzure--contentSize {
    width: calc(100% - 10px);
    margin-left: 5px;
}

.MMMAzure--smallPaddingRight {
    padding-right: 15px;
}

.MMMAzure--Bold {
    font-family: '3MCircular';
    font-weight: bold;
    font-size: 14px;
    color: #4B4B4B;
    letter-spacing: 0;
    text-align: center;
    display: block;
    padding-bottom: 4%
}

.MMMAzure--gapTopSmall {
    margin-top: 10px;
}

.MMMAzure--gapTop {
    margin: 25px auto auto auto !important;
}

.MMMAzure--gapTopMedium {
    margin-top: 30px !important;
}
.MMMAzure--gapTopLarge {
    margin: 10% auto 3% auto;
    width: 100%;
    text-align: center;
}

.MMMAzure--gapBottomSmall {
    padding-bottom: 15px;
}
.MMMAzure--gapBottom {
    padding-bottom: 7%;
}

.MMMAzure--gapBottomLarge {
    margin-bottom: 7% !important;
}

.MMMAzure--Button {
    height: 40px;
    margin: 2% auto auto auto;
    display: block;
    border-radius: 2rem;
    border: 1px solid #333333;
    width: 100%;
    font-weight: bold;
    font-family: '3MCircular';
    font-size: 16px;
    color: #4B4B4B;
    letter-spacing: 0;
    text-align: center;
    background: #FFFFFF;
}

.MMMAzure--buttonContainer .MMMAzure--Button,
.MMMAzure--PM-buttonContainer .MMMAzure--Button {
    margin: 15px auto auto auto;
}

hr + .MMMAzure--PM-buttonContainer{
    margin-top: 0px !important;
}

.MMMAzure--Button:hover, .MMMAzure--desktopOnly:hover {
    background: #F2F2F2;
}

.MMMAzure--Button:disabled {
    background: #DDDDDD;
    color: #767676;
}

.MMMAzure--Button-Grey {
    background: #4B4B4B;
    color: #FFFFFF;
    border-color: #4B4B4B;
    font-size: 14px;
    height: 35px;
}

.MMMAzure--Button-Grey:hover {
    background: #000000;
}

.MMMAzure--Alert {
    background: #FF0000;
    color: #FFFFFF;
    border: none;
}

.MMMAzure--Alert:hover:not(:disabled) {
    background: #C80000;
}

.MMMAzure--icn_small span,
.MMMAzure--icn_small:before {
    font-size: 14px !important;
}

.MMMAzure--icn_medium span,
.MMMAzure--icn_medium:before {
    font-size: 22px !important;
}

.MMMAzure--icn_lrg span,
.MMMAzure--icn_lrg:before {
    font-size: 72px;
}

.MMMAzure--centerText {
    text-align: center;
}
/* End General CSS */


/* Login - General Components */
.MMMAzure--GreyContainer {
    height: 84%;
    align-content: center;
    display: inline-block;
    background-color: #F2F2F2;
}

.MMMAzure--WhiteContainer {
    background-color: #FFFFFF;
    box-shadow:  0 2px 6px 0 #CCCCCC;
    margin: 5%;
    width: 80%;
    max-width: 550px;
    padding: 10% 5% 15% 5%;
}

.MMMAzure--InputGroup {
    width: 100%;
    height: 8%;
    min-height: 50px;
    display: inline-block;
}

.MMMAzure--3MLogo {
    margin: auto;
    display: block;
    max-width: 145px;
}

.MMMAzure--notificationBannerTable {
    border: 1px solid #199F43;
    border-radius: 2px;
    border-spacing: 0px;

}

.MMMAzure--notificationBannerTable .MMMAzure--iconTableData {
    background-color: #199F43;
    width: 24px;
}

.MMMAzure--notificationBannerTable td {
    padding: 10px;
}
/* End Login - General Components */


/* Login - Input Components */
input, .MMMAzure--InputGroup {
    font-family: '3MCircular';
    font-size: 14px;
    color: #4B4B4B;
    letter-spacing: 0;
    line-height: 18px;
}

input[type="text"],input[type="password"],input[type="number"], select {
    border: 1px solid #767676;
    border-radius: 2px;
    color: #000000;
    padding: 10px;
    width: 100%;
    -webkit-box-sizing: border-box; /* Safari/Chrome, other WebKit */
    -moz-box-sizing: border-box;    /* Firefox, other Gecko */
    box-sizing: border-box;
}

input[type="text"]:focus, input[type="password"]:focus, input[type="number"], select:focus {
    border-color: #000000;
    outline: none;
}

.MMMAzure--invalidInputLabel,  .MMMAzure--requiredInputLabel {
    position: relative;
    font-size: 12px;
    padding: 0px;
    top: 2px;
    color: #C80000;
    display: none;
}

.MMMAzure--invalidInput input, .MMMAzure--requiredInput input, .MMMAzure--requiredInput select {
    border-color: #C80000;
}

.MMMAzure--invalidInput .MMMAzure--invalidInputLabel, .MMMAzure--requiredInput .MMMAzure--requiredInputLabel {
    display: inline-block;
}

.MMMAzure--invalidInput label, .MMMAzure--invalidInput .MMMAzure--floatingLabel,
.MMMAzure--requiredInput label, .MMMAzure--requiredInput .MMMAzure--floatingLabel,
.MMMAzure--requiredInput .MMMAzure--selectLabel {
    color: #C80000;
}

.MMMAzure--textInputLabel {
    position: relative;
    top: 30px;
    pointer-events: none;
    background: white;
    padding: 10px 40% 0px 10px;
    left: 1px;
}

input:not(:placeholder-shown) label{
    position: relative;
    font-size: 11px;
    left: 15px;
    top: 10px;
    background-color: #FFFFFF;
    padding: 5px;
}

.MMMAzure--floatingLabel {
    position: relative;
    font-size: 11px;
    left: 15px;
    top: 10px;
    background-color: #FFFFFF;
    padding: 0px 5px 0px 5px;
    line-height: 14px;
}

.MMMAzure--hideLabel {
    display: none;
}

.MMMAzure--InputLink {
    top: -30px;
    text-decoration: underline;
    position: relative;
    float: right;
    font-family: '3MCircular';
    font-size: 14px;
    color: #003CE6;
    letter-spacing: 0;
    text-align: center;
    line-height: 18px;
    height: 0px;
    border-bottom: none;
}

.MMMAzure--InputLink:hover {
    border-bottom: none;
}

i.MMMAzure--InputLink {
    text-decoration: none;
    pointer-events: none;
}

.MMMAzure--ShowPassword {
    position: relative;
    float: right;
    font-family: '3MCircular';
    font-size: 14px;
    color: #003CE6;
    letter-spacing: 0;
    text-align: center;
    line-height: 18px;
}

input[type="password"]::-ms-clear, input[type="password"]::-ms-reveal { /* Remove Edge's password show */
    display: none;
}

.MMMAzure--passwordTips-hide {
    display: none;
}

.MMMAzure--passwordTips span {
    font-size: 12px;
    line-height: 24px;
    vertical-align: middle;
}

.MMMAzure--passwordTips span i {
    padding-right: 5px;
    height: 14px;
    visibility: hidden;
}

.MMMAzure--passwordTips span.MMMAzure--passwordRequirement {
    color: rgba(29.4, 29.4, 29.4,0.5);
}

.MMMAzure--passwordTips span.MMMAzure--passwordRequirement i {
    visibility: visible;

}

input[type='radio'] {
    -webkit-appearance: none;
}

input[type='radio']:focus {
    outline: none;
}

@supports (-ms-ime-align: auto) { /* Radio styles for Edge */
    input[type='radio']:focus {
        outline: 1px dotted#767676;
    }
}

input[type='radio']::after {
    width: 12px;
    height: 12px;
    border-radius: 12px;
    top: -3px;
    left: -4px;
    position: relative;
    background-color: #FFFFFF;
    content: '';
    display: inline-block;
    visibility: visible;
    border: 1px solid #4B4B4b;
}

input[type='radio']:hover::after {
    border: 1px solid #000000;
}

input[type='radio']:checked::after {
    width: 6px;
    height: 6px;
    border-radius: 7px;
    position: relative;
    background-color: #FFFFFF;
    content: '';
    display: inline-block;
    visibility: visible;
    border: 4px solid #0099FF;
}

input[type='radio']:checked:focus::after, input[type='radio']:checked:hover::after  {
    box-shadow: 0px 0px 0px 1px #000000;
    border: 3px solid #0099FF;
    margin-right: 1px;
    margin-left: 1px;
    margin-bottom: 2px;
    top: -2px;
}

.MMMAzure--radioLabel {
    padding: 0px 0px 0px 5px;
}

/* End Login - Input Components */


/* Login - Checkbox Components */
.MMMAzure--CheckboxContainer {
    position: relative;
    cursor: pointer;
    font-size: 22px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    width: 100%;
    height: 30px;
    line-height: 25px;
    margin-right: 0px;
    display: inline-block;
    padding: 0px;
    vertical-align: middle;
}

.MMMAzure--CheckboxContainer input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
}

.MMMAzure--checkboxLink {
    line-height: 27px;
    float: left;
    padding-left: 42px;
    top: 0px;
    padding-top: 10px;
    font-family: '3MCircular';
    font-size: 14px;
    color: #003CE6;
    letter-spacing: 0;
    text-align: center;
    text-decoration: underline;
    margin-bottom: 20px;
}

.MMMAzure--Checkbox {
    display: block;
    float: left;
    position: relative;
    height: 25px;
    width: 25px;
    background-color: #FFFFFF;
    border: 1px solid #4b4b4b;
    border-radius: 1px;
}

.MMMAzure--CheckboxContainer:hover input ~ .MMMAzure--Checkbox {
    border: 1px solid #000000;
    border-radius: 1px;
}

.MMMAzure--checkboxLabel {
    color: #4B4B4B;
    padding: 0px 0px 0px 15px;
    float: left;
    line-height: 27px;
}

/* When the checkbox is checked, add a blue background */
    .MMMAzure--CheckboxContainer input:checked ~ .MMMAzure--Checkbox {
    background: #0099FF;
    border: 1px solid #0099FF;
    border-radius: 1px;
}

/* Create the checkmark/indicator (hidden when not checked) */
.MMMAzure--Checkbox:after {
    content: "";
    position: absolute;
    display: none;
}

/* Show the checkmark when checked */
.MMMAzure--CheckboxContainer input:checked ~ .MMMAzure--Checkbox:after {
    display: block;
}

/* Style the checkmark/indicator */
.MMMAzure--CheckboxContainer .MMMAzure--Checkbox:after {
    left: 9px;
    top: 5px;
    width: 5px;
    height: 10px;
    border: solid white;
    border-width: 0 3px 3px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}
/* End Login - Checkbox Components */


/* Select/Dropdown Components */
.MMMAzure--dropdown {
    border: 1px solid #767676;
    border-radius: 2px;
}

.mix-icn_green,
.mix-icn_green:before {
    color: #1AA847 !important;
}

.mix-icn_greenSuccess,
.mix-icn_greenSuccess:before {
    color: #199F43 !important;
}

.mix-icn_white,
.mix-icn_white:before {
    color: #FFFFFF !important;
}

.MMMAzure--icn_small.MMM--icn_checkmarkCircle .path2:before {
    -webkit-text-stroke-width: thick;
}

.MMMAzure--selectLabel {
    padding-left: 8px;
    color: #767676;
    line-height: 18px;
    margin-left: 2px;
    background-color: #FFFFFF;
    width: calc(100% - 30px);
}

.MMMAzure--selectLabel.MMMAzure--floatingLabel {
    visibility: hidden;
    line-height: 17px;
}

select::-ms-expand { /* IE solution */
    display: none;
}

select { /* Chrome and Firefox solutions */
    -webkit-appearance: none;
    -moz-appearance: none;
    text-indent: 1px;
    text-overflow: '';
    background-color: #FFFFFF;
    height: 40px;
    padding-right: 35px; /* for the dropdown icon */
}
/* End Select/Dropdown Components */

/* Profile Management Components */
.MMMAzure--tabBar ul {
    list-style-type: none;
    margin: 0;
    padding-inline-start: 0px; /* mobile only */
    padding-left: 0px;
}

.MMMAzure--tabBar li {
    margin-top: 15px;
    border: 1px solid #AEAEAE;
    border-radius: 2px;
    font-family: '3MCircular';
    font-weight: bold;
    font-size: 14px;
    color: #4B4B4B;
    letter-spacing: 0;
    text-transform: uppercase;
    padding: 12px 15px 12px 15px;
    width: 100%;
    -webkit-box-sizing: border-box; /* Safari/Chrome, other WebKit */
    -moz-box-sizing: border-box;    /* Firefox, other Gecko */
    box-sizing: border-box;
    display: inline-block;
}
.MMMAzure--tabBar li:after {
    content: '\e977';
    color: #ff0000;
    font-family: '3MThemeIconFont';
    speak: none;
    font-style: normal;
    font-weight: normal;
    font-variant: normal;
    text-transform: none;
    line-height: 1;
    -webkit-font-smoothing: antialiased;
    -mos-osx-font-smoothing: grayscale;
    float: right;
    transform: rotate(-180deg);
}

.MMMAzure--tabExpanded ul {
    margin-top: 25px;
    list-style-type: none;
    padding: 0px;
}
.MMMAzure--tabExpanded li {
    background: #F2F2F2;
    padding: 20px;
    margin-bottom: 10px;
}

.MMMAzure--tabExpanded li .MMMAzure--tabExpandedInfo {
    width: 100%;
    display: inline-block;
}

.MMMAzure--tabExpanded li label, h2 {
    font-family: '3MCircular';
    font-weight: bold;
    font-size: 18px;
    color: #4B4B4B;
    position: relative;
    padding: 0px;
}
.MMMAzure--tabExpanded li span {
    display: block;
    margin-top: 15px;
}
.MMMAzure--tabExpanded li span {
    display: block;
    margin-top: 15px;
}

.MMMAzure--tabExpanded li button {
    width: 100%;
    margin: 0px;
    margin-top: 15px;
}

.MMMAzure--profileManagement-links {
    width: calc(100% - 60px);
    padding: 20px;
}
.MMMAzure--profileManagement-links a {
    display: block;
    margin-bottom: 15px;
}

.MMMAzure--PM-content .MMMAzure--PM-buttonContainer .MMMAzure--TabletSplitLeft {
    width: 35%;
    margin-right: calc(5% - 4px);
    display: inline-block;
}
.MMMAzure--PM-content .MMMAzure--PM-buttonContainer .MMMAzure--TabletSplitRight {
    width: 60%;
    display: inline-block;
}


/* End Profile Management Components */


/* Footer Components */
.MMMAzure--ft {
    background-image: url("http://www.3m.com/3m_theme_assets/themes/3MTheme/assets/images/unicorn/repeating_hashedLines.png");
    height: 32px;
    margin-top: 3px;
}

.MMMAzure--ft::before {
    content: '';
    background-image: url("http://www.3m.com/3m_theme_assets/themes/3MTheme/assets/images/unicorn/GradientBar.svg");
    background-size: cover;
    position: relative;
    display: block;
    width: 100%;
    height: 22px;
}

.MMMAzure--ft-content.MMMAzure--ft-PMcontent {
    width: 80%;
    margin-left: 10%;
    max-width: none;
}

.MMMAzure--ft-content {
    background-color: #FFFFFF;
    font-family: '3MCircular';
    font-size: 11px;
    color: #000000;
    letter-spacing: 0;
    width: 90%;
    margin: 25px auto 20px auto;
    vertical-align: middle;
    line-height: 20px;
    height: 100%;
}

.MMMAzure--ft-content a {
    color: #000000;
    float: left;
    padding-left: 15px;
}

.MMMAzure--ft-content img {
    height: 20px;
    float: left;
}

.MMMAzure--ft-content span {
    padding-left: 15px;
    float: left;
}

.MMMAzure--ft-content .MMMAzure--copyRight {
    float: left;
    font-size: 10px;
    color: #767676;
    padding-left: 50px;
    padding-top: 10px;
    width: calc(65% + 65px);
}
/* End Footer Components */
